hp scanner 5300c does no longer work after upgrading to quantal

Bug #1080787 reported by Thomas E. Horner on 2012-11-19
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
sane-backends (Ubuntu)
Undecided
Unassigned

Bug Description

on 12.10 the scanner doesn't work anymore.
on 12.04 it worked on the same machine.
the scanner still works on a second machine that was not upgraded by now.

uname:
Linux matrix 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

lsb_release:
Description: Ubuntu 12.10
Release: 12.10

versions:
sane: 1.0.14-9
libsane: 1.0.23-0ubuntu1

dmesg:
[12883.928037] usb 3-6: >new full-speed USB device number 23 using ohci_hcd
[12884.157054] usb 3-6: >New USB device found, idVendor=03f0, idProduct=0701
[12884.157059] usb 3-6: >New USB device strings: Mfr=1, Product=2, SerialNumber=3
[12884.157062] usb 3-6: >Product: Hewlett Packard ScanJet 5300C/5370C
[12884.157064] usb 3-6: >Manufacturer: Hewlett Packard
[12884.157067] usb 3-6: >SerialNumber: 0000000000000000

lsusb:
Bus 003 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Bus 003 Device 023: ID 03f0:0701 Hewlett-Packard ScanJet 5300c/5370c
Bus 004 Device 002: ID 08e6:3437 Gemplus GemPC Twin SmartCard Reader
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

scanimage -Lv
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

affects: unity (Ubuntu) → ubuntu
affects: ubuntu → sane-backends (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sane-backends (Ubuntu):
status: New → Confirmed
fondle-em (mcribbb) wrote :

I have the 5370c as opposed to the 5300c but the end result is the same - this scanner isn't recognized after updating Xubuntu to 12.10 (32-bit). The scanner worked fine under Xubuntu 12.04 (32-bit) on the same machine and it still works fine on my laptop running the Ubuntu 12.04-based Linux Mint Maya (64-bit).

rolandelferink (rolandelferink) wrote :

I have exactly the same issue and I am on 3.5.0-21

Rolf Leggewie (r0lf) wrote :

doing some triaging here. Are you guys logged in on the console or in X on those machines? Or via ssh or similar mechanisms? Does "sane-find-scanner" see the scanner? Does "sudo scanimage -L" work?

Changed in sane-backends (Ubuntu):
status: Confirmed → Incomplete
assignee: nobody → Rolf Leggewie (r0lf)

i'm running X on a local machine with gnome-terminal as console.
of cause the output and outcome is the same if i enter the commands on the "real" console.

dmesg
[ 371.392052] usb 4-3: new full-speed USB device number 2 using ohci_hcd
[ 371.621052] usb 4-3: New USB device found, idVendor=03f0, idProduct=0701
[ 371.621056] usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 371.621060] usb 4-3: Product: Hewlett Packard ScanJet 5300C/5370C
[ 371.621062] usb 4-3: Manufacturer: Hewlett Packard
[ 371.621065] usb 4-3: SerialNumber: 0000000000000000

lsusb
Bus 003 Device 002: ID 08e6:3437 Gemplus GemPC Twin SmartCard Reader
Bus 003 Device 003: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Bus 004 Device 002: ID 03f0:0701 Hewlett-Packard ScanJet 5300c/5370c
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

sudo scanimage -L
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

Rolf Leggewie (r0lf) wrote :

Thomas, thank you for the quick response.

On 12.04.2013 17:27, Thomas E. Horner wrote:
> of cause the output and outcome is the same if i enter the commands on the "real" console.

No, this is NOT of course. You can be sure I would not have asked otherwise. Scanner permissions for sane devices have been a long-standing issue and has basically always been broken (at least that's my experience) just in different ways in different releases. You can have a look at bug 236956 to learn that it matters a lot these days whether you are actually logged in to the machine and how you are logged in.

> sudo scanimage -L
> No scanners were identified. If you were expecting something different,
> check that the scanner is plugged in, turned on and detected by the
> sane-find-scanner tool (if appropriate). Please read the documentation
> which came with this software (README, FAQ, manpages).

Thank you for that information. we can rule out a permissions problem, then. Maybe you can compare /lib/udev/rules.d/40-libsane.rules between precise and quantal to see if you can spot any relevant difference.

Changed in sane-backends (Ubuntu):
assignee: Rolf Leggewie (r0lf) → nobody
status: Incomplete → Confirmed
Rolf Leggewie (r0lf) wrote :

It would also be interesting to know whether "sane-find-scanner" finds the device or not. It's common these days for that program to see the scanner while scanimage does not.

sudo sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

  # No USB scanners found. If you expected something different, make sure that
  # you have loaded a kernel driver for your USB host controller and have setup
  # the USB system correctly. See man sane-usb for details.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.

Download full text (16.7 KiB)

diff -u /tmp/40-libsane.rules.old /tmp/40-libsane.rules.new

--- /tmp/40-libsane.rules.old 2013-04-12 13:42:57.852351382 +0200
+++ /tmp/40-libsane.rules.new 2013-04-12 13:42:39.772351383 +0200
@@ -1,5 +1,5 @@
 # This file was automatically created based on description files (*.desc)
-# by sane-desc 3.5 from sane-backends 1.0.22
+# by sane-desc 3.5 from sane-backends 1.0.23
 #
 # udev rules file for supported USB and SCSI devices
 #
@@ -87,6 +87,8 @@
 ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="1705", ENV{libsane_matched}="yes"
 # Hewlett-Packard ScanJet 7650
 ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="1805", ENV{libsane_matched}="yes"
+# Hewlett-Packard ScanJet 4850C
+ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="1b05", ENV{libsane_matched}="yes"
 # Hewlett-Packard ScanJet 3530C | Hewlett-Packard ScanJet 3570C
 ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="2005", ENV{libsane_matched}="yes"
 # Hewlett-Packard ScanJet 3500C
@@ -115,6 +117,8 @@
 ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="4505", ENV{libsane_matched}="yes"
 # Hewlett-Packard ScanJet G4050
 ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="4605", ENV{libsane_matched}="yes"
+# Hewlett-Packard ScanJet N6310
+ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="4705", ENV{libsane_matched}="yes"
 # Hewlett-Packard LaserJet M1120 MFP
 ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="5617", ENV{libsane_matched}="yes"
 # Hewlett-Packard LaserJet M1120n MFP
@@ -123,6 +127,58 @@
 ATTRS{idVendor}=="0400", ATTRS{idProduct}=="1000", ENV{libsane_matched}="yes"
 # Mustek BearPaw 1200 | Mustek BearPaw 2400
 ATTRS{idVendor}=="0400", ATTRS{idProduct}=="1001", ENV{libsane_matched}="yes"
+# Kodak ESP 5100
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4025", ENV{libsane_matched}="yes"
+# Kodak ESP 5300
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4026", ENV{libsane_matched}="yes"
+# Kodak ESP 5500
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4027", ENV{libsane_matched}="yes"
+# Kodak ESP 5000
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4028", ENV{libsane_matched}="yes"
+# Kodak ESP 3300
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4031", ENV{libsane_matched}="yes"
+# Kodak ESP 5
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4032", ENV{libsane_matched}="yes"
+# Kodak ESP 7
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="403e", ENV{libsane_matched}="yes"
+# Kodak ESP 9
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="403f", ENV{libsane_matched}="yes"
+# Kodak ESP 5200
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4041", ENV{libsane_matched}="yes"
+# Kodak ESP 3200
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4043", ENV{libsane_matched}="yes"
+# Kodak ESP 4100
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4053", ENV{libsane_matched}="yes"
+# Kodak ESP 6100
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4054", ENV{libsane_matched}="yes"
+# Kodak ESP 7200
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4056", ENV{libsane_matched}="yes"
+# Kodak ESP C110
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4057", ENV{libsane_matched}="yes"
+# Kodak ESP C115
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4058", ENV{libsane_matched}="yes"
+# Kodak ESP 2150
+ATTRS{idVendor}=="040a", ATTRS{idProduct}=="4059", ENV{libsane_matched}="yes"
+# Kodak ESP C310
+A...

Night Train (nighttrain) wrote :

hp scanner 5370c does no longer works after upgrading from precise 64 bit to raring and also saucy 64 bit

i have tested

with livecd ubuntu 64 bit -->

     12.04 precise - libsane 1.0.22-7ubuntu1 - scanner works

     13.04 raring - libsane 1.0.23-0ubuntu1 - scanner not works

     13.10 saucy - libsane 1.0.23-0ubuntu3 - scanner not works (unity and also gnome)

user+root -->

     sane-find-scanner no scanner found

     scanimage -L no scanner found

     simple-scan + xsane + gscan2pdf not works

now i have installed saucy 64 bit

please help me

thanks

Night Train (nighttrain) wrote :

i have installed trusty tahr 14.04 64 bit and my scanner hp 5370c still not works

for to use the scanner i have to start with live cd of precise pangolin 12.04 64 bit

please, is it possible to correct this?

thank you very much

jjj0001 (jjj0001) wrote :

Hi all, Im far from an expert at this but my HP5300c scanner failed to work after upgrading to 14.04 from 12.04 and this is how I got it working:
edit file /etc/default/saned as root (after making a backup).

change the line
# Set to yes to start saned
RUN=no
to RUN=yes

change the line
RUN_AS_USER=saned
to RUN_AS_USER=<yourusername>

substitute yourusername for your login name

after the next reboot scanner worked perfectly although sane-find-scanner still finds no scanner, for whatever reason.

There may be some security problem with this approach, maybe someone can give advice in this area?

Night Train (nighttrain) wrote :
Download full text (3.8 KiB)

hi guys

but is it possible that scanner not works on ubuntu (after 12.04)?

is it only my problem? (and other 3 persons)

the trick of @jjj0001 not works for me (to run sane server)

i have try anything once!

summarize:

lsusb
Bus 002 Device 007: ID 03f0:0701 Hewlett-Packard ScanJet 5300c/5370c

sane-find-scanner
  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

could not open USB device 0x05e3/0x0608 at 002:006: Access denied (insufficient permissions)
could not open USB device 0x0644/0x0200 at 002:002: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0002 at 002:001: Access denied (insufficient permissions)
could not open USB device 0x051d/0x0002 at 007:002: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0001 at 007:001: Access denied (insufficient permissions)
could not open USB device 0x051d/0x0002 at 006:003: Access denied (insufficient permissions)
could not open USB device 0x046d/0xc517 at 006:002: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0001 at 006:001: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0001 at 005:001: Access denied (insufficient permissions)
could not open USB device 0x0424/0x2504 at 001:003: Access denied (insufficient permissions)
could not open USB device 0x046d/0x0807 at 001:004: Access denied (insufficient permissions)
could not open USB device 0x0424/0x2504 at 001:002: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0002 at 001:001: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0001 at 004:001: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0001 at 003:001: Access denied (insufficient permissions)
  # No USB scanners found. If you expected something different, make sure that
  # you have loaded a kernel driver for your USB host controller and have setup
  # the USB system correctly. See man sane-usb for details.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.

  # You may want to run this program as root to find all devices. Once you
  # found the scanner devices, be sure to adjust access permissions as
  # necessary.

sudo sane-find-scanner
  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

  # No USB scanners found. If you expected something different, make sure that
  # you have loaded a kernel driver for your USB host controller and have setup
  # the USB system correctly. See man sane-usb for details...

Read more...

mgfrobozz (dstevens) wrote :

I'm having the same issue on Ubuntu 14.04.1 LTS.

# minor rev difference in back end;
# no entries specific to 03f0:0701 in either 40-libsane.rules file, but there were 2 scanners
# present in ubuntu 12.04 file which are missing from ubuntu 14.04 file:
diff /lib/udev/rules.d/40-libsane.rules /ub12_64/lib/udev/rules.d/40-libsane.rules
2c2
< # by sane-desc 3.5 from sane-backends 1.0.23
---
> # by sane-desc 3.5 from sane-backends 1.0.22
...
90,91d89
< # Hewlett-Packard ScanJet 4850C
< ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="1b05", ENV{libsane_matched}="yes"
120,121d117
< # Hewlett-Packard ScanJet N6310
< ATTRS{idVendor}=="03f0", ATTRS{idProduct}=="4705", ENV{libsane_matched}="yes"
...

# shows up in lsusb:
> lsusb
...
Bus 005 Device 006: ID 03f0:0701 Hewlett-Packard ScanJet 5300c/5370c
...

# scanner shows as "busy" in avision debug log (2 repeats of pattern below):
> export SANE_DEBUG_AVISION=7
> scanimage -L
[sanei_debug] Setting debug level of avision to 7.
[avision] sane_init:(Version: 1.0 Build: 296)
...
[avision] sane_reload_devices: config file line 26: trying to attach USB:`usb 0x03f0 0x0701'
[avision] attach:
[avision] attach: opening libusb:005:006
[avision] attach: open failed (Device busy)
...
[avision] sane_reload_devices: Trying to find USB device 03f0 0701 ...
[avision] attach:
[avision] attach: opening libusb:005:006
[avision] attach: open failed (Device busy)
[avision] sane_reload_devices: Trying to find USB device 03f0 0701 ...
[avision] attach:
[avision] attach: opening libusb:005:006
[avision] attach: open failed (Device busy)

mgfrobozz (dstevens) wrote :

On a another try, got these additional lines for debugging Bus 005 Device 006: ID 03f0:0701 Hewlett-Packard ScanJet 5300c/5370c:

> export SANE_DEBUG_AVISION=7
> scanimage -L
...
[avision] attach:
[avision] attach: opening libusb:005:009
[avision] inquiry: length: 96
[avision] inquiry: inquiring ...
[avision] filling command to have a length of 10, was: 6
[avision] Timeouts: write: 30000, read: 1000, status: 1000
[avision] === Got error 9 trying to write, wrote: 0. ===
[avision] try to read status to clear the FIFO
[avision] avision_usb_status: timeout 500, 1 retries
[avision] ==> (bulk read) going down ...
[avision] <== (bulk read) got: 0, status: 0
[avision] ==> (interrupt read) going down ...
[avision] <== (interrupt read) got: 0, status: 0
[avision] === Got error 9 trying to read status. ===
[avision] inquiry: inquiry failed (Error during device I/O)
[avision] inquiry: inquiring ...
[avision] filling command to have a length of 10, was: 6
[avision] Timeouts: write: 30000, read: 1000, status: 1000
[avision] === Got error 9 trying to write, wrote: 0. ===
[avision] try to read status to clear the FIFO
[avision] avision_usb_status: timeout 500, 1 retries
[avision] ==> (bulk read) going down ...
[avision] <== (bulk read) got: 0, status: 0
[avision] ==> (interrupt read) going down ...
[avision] <== (interrupt read) got: 0, status: 0
[avision] === Got error 9 trying to read status. ===
[avision] inquiry: inquiry failed (Error during device I/O)
[avision] attach: 1st inquiry failed (Error during device I/O)

mgfrobozz (dstevens) wrote :

File "patch_1080787.txt" (reverting SHA1 fec4800d7d) fixes the problem in my
system, using this procedure ...

    sudo apt-get install libusb-dev
    git clone git://git.debian.org/sane/sane-backends.git
    cd sane-backends
    ./configure BACKENDS="avision"
    patch -p1 < ~/Downloads/patch_1080787.txt
    make
    lib_dir=/usr/lib/x86_64-linux-gnu/sane
    sudo cp backend/.libs/libsane-avision.so.1.0.25 $lib_dir
    sudo ln -f -s libsane-avision.so.1.0.25 $lib_dir/libsane-avision.so.1

Set lib_dir to the system directory containing libsane-avision.so.1 (this will
be different in a 32-bit system). After doing this, test using ...

    > scanimage -L
    device `avision:libusb:005:057' is a Hewlett-Packard ScanJet 5370C flatbed scanner
    # and then ...
    > simple-scan

Note that if you use a non-functional version of libsane-avision.so (eg 1.0.23),
you will need to disconnect and reconnect scanner's usb cable before a
functional version (1.0.22 or the patched 1.0.25) will work.

My system is ...

    > cat /etc/lsb-release
    ...
    DISTRIB_DESCRIPTION="Ubuntu 14.04.1 LTS"
    > uname -oirv
    3.13.0-35-generic #62-Ubuntu SMP Fri Aug 15 01:58:42 UTC 2014 x86_64 GNU/Linux
    > lsusb
    ...
    Bus 005 Device 054: ID 03f0:0701 Hewlett-Packard ScanJet 5300c/5370c
    ...

mgfrobozz (dstevens) wrote :

The attachment "patch_1080787.txt" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch

Amazing!
Following the guideline mgfrobozz posted on 2014-09-26 and applying the patch patch_1080787.txt indeed scanning works again!
@mgfrobozz: Thanks a lot :-)

acastano (acastanofernandez) wrote :

thank you mgfrobozz, your procedure works like a charme!

Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package sane-backends - 1.0.24-4ubuntu1

---------------
sane-backends (1.0.24-4ubuntu1) vivid; urgency=low

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/rules, debian/sane-utils.saned.init: Don't call init script on
      shutdown, it's unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.

sane-backends (1.0.24-4) unstable; urgency=medium

  * debian/rules:
    - Move the creation of /etc/sane.d/dll.d to libsane-common.
  * Move libsane.(postrm|preinst) to libsane-common.* to handle
    in the right package. (Closes: #766340)
  * Remose useless ( < "1.0.19-25" ) from libsane-common.preinst.
  * debian/patches:
    - New typo.patch:
      + Correct typo in backend/gennesys.conf.in. (Closes: #743848)
        Thanks to Jakub Wilk <email address hidden>.
    - New hp3900.patch:
      + Set startup gamma to the standalone default. (Closes: #629470)
        Thanks to Peter Walser <email address hidden>.
    - New hp5370c.patch:
      + Improved recognizability. (LP: #1080787)
    - New out_of_bounds.patch:
      + Prevent some out-of-bounds.
  * debian/control:
    - Change Build-Depends from the transitional package libgphoto2-2-dev
      to libgphoto2-dev. (Closes: #736451)

sane-backends (1.0.24-3) unstable; urgency=medium

  * debian/rules:
    - Revert moving of HTML documentation to previous method to fix FTBFS
      and simply delete duplicate HTML files afterwards. (Closes: #765339)

sane-backends (1.0.24-2) unstable; urgency=medium

  * New Maintainer. (Closes: #764198)
  * debian/control:
    - Set myself as Maintainer.
    - Add missing Vcs-* fields.
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add dh-systemd to Build-Depends.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
  * debian/sane-utils.saned.init:
    - Replace avahi with avahi-daemon to make it systemd-
      compatible. (Closes: #731610)
    - Add fancy lsb output. (Closes: #676845)
      Thanks to Dirk Sandbrink <email address hidden>.
  * debian/libsane/README.Debian:
    - TROUBLESHOOTING section: Add handling of "HP ScanJet 3400 C
      type C7720A" on Device busy message. (Closes: #653857)
      Thanks to Joost van Baal-Ilić <email address hidden>.
  * debian/sane-utils.postinst:
    - Set the home directory to /var/lib/saned at adduser call.
      (Closes: #665915)
  * debian/rules:
    - libsane-common: Correct moving of HTML files to prevent
      duplicate files within the package.
    - Add systemd to dh commandline.
    - Manuelly install the systemd .socket file.
  * Add systemd support:
    - New file sane-utils.saned.system.
    - New file sane-utils.saned.socket.
  * Move /etc from libsane to libsane-common.

sane-backends (1.0.24-1.2) unstable; urgency=medium

...

Read more...

Changed in sane-backends (Ubuntu):
status: Confirmed → Fix Released
Night Train (nighttrain) wrote :

ok guys, now it's works!

i have tested with:

- patch mgfrobozz (dstevens) #16, #17 --> works!

- sane-backends - 1.0.24-4ubuntu1 from vivid proposed (https://launchpad.net/ubuntu/+source/sane-backends/1.0.24-4ubuntu1/+build/6541643) (deb libsane+libsane-common+sane-utils) --> works!

- ppa SANE daily git snapshots (https://launchpad.net/~rolfbensch/+archive/ubuntu/sane-git)
  --> without patch it's not works
  --> with patch it's works!

my system now is:

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.1 LTS"

uname -oirv
3.13.0-40-generic #68-Ubuntu SMP Tue Nov 4 01:48:13 UTC 2014 x86_64 GNU/Linux

lsusb
Bus 002 Device 009: ID 03f0:0701 Hewlett-Packard ScanJet 5300c/5370c

sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0 [Hewlett Packard], product=0x0701 [Hewlett Packard ScanJet 5300C/5370C ]) at libusb:002:009

scanimage -L
device `avision:libusb:002:009' is a Hewlett-Packard ScanJet 5370C flatbed scanner

please, we need backport for trusty lts, now!

bye

night train

Rolf Bensch (rolfbensch) wrote :

I just committed the patch to Sane's git repository.

My ppa (https://launchpad.net/~rolfbensch/+archive/ubuntu/sane-git) should work after the next update tomorrow.

Night Train (nighttrain) wrote :

hi guys

i have tested new update from rolf's ppa and my scanner works!
(sane-backends 1.0.25-git20141116-trusty0)

many thanks at all

night train

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers